<div class="d-flex flex-column min-vh-100">
  <app-header></app-header>

  <div class="container mt-5 flex-grow-1">
    <div class="container mt-5">
      <div class="d-flex align-items-center justify-content-between mb-4">
        <h2 class="lead mb-0">Administración de Usuarios</h2>
        <button class="btn btn-success">
          <i class="bi bi-plus-circle-fill"></i> Asignar rol a usuario
        </button>
      </div>
      <table class="table table-striped">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Nombre del Rol</th>
            <th scope="col">Nombres</th>
            <th scope="col">Apellidos</th>
            <th scope="col">Dirección</th>

            <th scope="col">Acciones</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let user of usersWithRoles; index as i">
            <th scope="row">{{ user.usuarioId }}</th>
            <td>{{ user.nombreRol }}</td>
            <td>{{ user.usuarioNombres }}</td>
            <td>{{ user.usuarioApellidos }}</td>
            <td>{{ user.usuarioDireccion }}</td>

            <td>
              <button class="btn btn-primary me-2">
                <i class="bi bi-pencil-fill"></i> Editar
              </button>
              <button class="btn btn-danger">
                <i class="bi bi-trash-fill"></i> Eliminar
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  <app-footer></app-footer>
</div>
